/*
 * Copyright (C) 2015 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jboss.errai.cdi.async.test.producers.client.res;

import org.jboss.errai.ioc.client.api.LoadAsync;

import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;

/**
 * @author Mike Brock
 */
@ApplicationScoped @LoadAsync
public class AsyncProducerDependentBean {
  private final MaBean maBean;
  private final MaBean maBean2;

  // For proxying
  public AsyncProducerDependentBean() {
    maBean = null;
    maBean2 = null;
  }

  @Inject
  public AsyncProducerDependentBean(final MaBean maBean, final MaBean maBean2) {
    this.maBean = maBean;
    this.maBean2 = maBean2;
  }

  public MaBean getMaBean() {
    return maBean;
  }

  public MaBean getMaBean2() {
    return maBean2;
  }
}
